#!/usr/bin/perl -w
# NAME: degs2rads.pl
# AIM: Given input of DEGREES, output RADIANS
# 17/08/2010 geoff mclane http://geoffair.net/mperl
use strict;
use warnings;
use Math::Trig;
# $rad = deg2rad(120);
my ($degs);
if (@ARGV) {
    $degs = shift @ARGV;
    if ($degs =~ /^(\d|-|\+|\.)+$/) {
        print "Converting [$degs] degrees = ".deg2rad($degs)." radians\n";
    } else {
        print "Converting [$degs]? = ".deg2rad($degs)." radians, but appears not a degree value!\n";
    }
} else {
    print "Enter the degrees to convert to radians...\n";
}
# eof - degs2rads.pl
